/*Replication data for Thyne, Clayton (2007). Cheap Signals with Costly Consequences:
	The Effect of Interstate Relations on Civil War, 1945-1999. Journal of Conflict Resolution, Feb.*/

#delimit;
use Thyne-JCR.dta;

/*T1/M1*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_all , nolog;
*outreg using C:\T1, coefastr pvalue replace 3aster nocon;

/*T1/M2*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_neigh, nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;
 
/*T1/M3*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 sanctions ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T1/M4*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 trade ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T1/M5*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 trade_neigh ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T1/M6*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 allies_all ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T1/M7*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 allies_neigh ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T1/M8*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_all MID_neigh 
sanctions trade trade_neigh allies_all allies_neigh ,nolog;
*outreg using C:\T1, pvalue append coefastr 3aster nocon;

/*T2/M1*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig , nolog;
*outreg using C:\T2, coefastr pvalue replace 3aster nocon;

/*T2/M2*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
*outreg using C:\T2, pvalue append coefastr 3aster nocon;

/*T2/M3*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig MID_all MID_neigh 
sanctions trade trade_neigh allies_all allies_neigh if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
*outreg using C:\T2, pvalue append coefastr 3aster nocon;

/*T2/M4*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 ch_sig if cheap_sig<=4.5 & cheap_sig>=-7, nolog;
*outreg using C:\T2, pvalue append coefastr 3aster nocon;

/*T2/M5*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 neg_shock pos_shock if cheap_sig>=-7 & cheap_sig<=4.5,nolog;
*outreg using C:\T2, pvalue append coefastr 3aster nocon;

/*T3/M6*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig neg_shock pos_shock 
ch_sig trade trade_neigh allies_all allies_neigh MID_all MID_neigh sanctions if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
*outreg using C:\T2, pvalue append coefastr 3aster nocon;

/*Replications for ROC curve*/

/*baseline*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 , nolog;
predict xbBase, xb;

/*T1/M1*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_all , nolog;
predict xbT1M1, xb;

/*T1/M2*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_neigh, nolog;
predict xbT1M2, xb;

/*T1/M3*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 sanctions ,nolog;
predict xbT1M3, xb;

/*T1/M4*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 trade ,nolog;
predict xbT1M4, xb;

/*T1/M5*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 trade_neigh ,nolog;
predict xbT1M5, xb;

/*T1/M6*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 allies_all ,nolog;
predict xbT1M6, xb;

/*T1/M7*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 allies_neigh ,nolog;
predict xbT1M7, xb;

/*T1/M8*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 MID_all MID_neigh 
sanctions trade trade_neigh allies_all allies_neigh ,nolog;
predict xbT1M8, xb;

roccomp onset xbBase xbT1M1, summary;
roccomp onset xbBase xbT1M2, summary;
roccomp onset xbBase xbT1M3, summary;
roccomp onset xbBase xbT1M4, summary;
roccomp onset xbBase xbT1M5, summary;
roccomp onset xbBase xbT1M6, summary;
roccomp onset xbBase xbT1M7, summary;
roccomp onset xbBase xbT1M8, summary;
drop xbT1M1 xbT1M2 xbT1M3 xbT1M4 xbT1M5 xbT1M6 xbT1M7 xbT1M8;

/*T2/M1*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig , nolog;
predict xbT2M1, xb;

/*T2/M2*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
predict xbT2M2, xb;

/*T2/M3*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig MID_all MID_neigh 
sanctions trade trade_neigh allies_all allies_neigh if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
predict xbT2M3, xb;

/*T2/M4*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 ch_sig if cheap_sig<=4.5 & cheap_sig>=-7, nolog;
predict xbT2M4, xb;

/*T2/M5*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 neg_shock pos_shock if cheap_sig>=-7 & cheap_sig<=4.5,nolog;
predict xbT2M5, xb;

/*T3/M6*/
logit onset lGgdppcl lGpopl Oil lmtnest instab anocl deml peace_years _spline1 _spline2 _spline3 cheap_sig neg_shock pos_shock 
ch_sig trade trade_neigh allies_all allies_neigh MID_all MID_neigh sanctions if cheap_sig<=4.5 & cheap_sig>=-7 ,nolog;
predict xbT2M6, xb;

roccomp onset xbBase xbT2M1, summary;
roccomp onset xbBase xbT2M2, summary;
roccomp onset xbBase xbT2M3, summary;
roccomp onset xbBase xbT2M4, summary;
roccomp onset xbBase xbT2M5, summary;
roccomp onset xbBase xbT2M6, summary;
drop xbBase xbT2M1 xbT2M2 xbT2M3 xbT2M4 xbT2M5 xbT2M6;
